OOO = 0;
STA = 1;
INT = 2;
STR = 3;
HST = 4;
AGI = 5;
CRI = 6;
MAS = 7;
DDG = 8;
PAR = 9;
BLK = 10;
VER = 11;
MAX = 12;
DMG = 13;
ATK = 14;
SPP = 15;
MAN = 16;
HEA = 17;
RUN = 18;
FSH = 19;

EFL_Stat = {
	[OOO] = _G["ALL"],
	[STA] = _G["ITEM_MOD_STAMINA_SHORT"],
	[INT] = _G["ITEM_MOD_INTELLECT_SHORT"],
	[STR] = _G["ITEM_MOD_STRENGTH_SHORT"],
	[HST] = _G["ITEM_MOD_HASTE_RATING_SHORT"],
	[AGI] = _G["ITEM_MOD_AGILITY_SHORT"],
	[CRI] = _G["ITEM_MOD_CRIT_RATING_SHORT"],
	[MAS] = _G["ITEM_MOD_MASTERY_RATING_SHORT"],
	[VER] = _G["ITEM_MOD_VERSATILITY"],
	[DDG] = _G["ITEM_MOD_DODGE_RATING_SHORT"],
	[PAR] = _G["ITEM_MOD_PARRY_RATING_SHORT"],
	[BLK] = _G["ITEM_MOD_BLOCK_RATING_SHORT"],
	[SPP] = _G["ITEM_MOD_SPELL_POWER_SHORT"],
	[MAN] = _G["ITEM_MOD_POWER_REGEN0_SHORT"],
	[HEA] = _G["ITEM_MOD_HEALTH_REGEN_SHORT"],
	[ATK] = _G["ITEM_MOD_ATTACK_POWER_SHORT"],
	[MAX] = EFL_FoodLocaleText["highest"],
	[DMG] = _G["DAMAGE"],
	[RUN] = EFL_FoodLocaleText["runspeed"],
	[FSH] = _G["PROFESSIONS_FISHING"]
}


EFL_Level = {
	[0] = "Classic",
	[1] = "BC",
	[2] = "WotLK",
	[3] = "Cataclysm",
	[4] = "MoP",
	[5] = "WoD",
	[6] = "Legion"
}

EFL_Op = {
	[0] = "=",
	[1] = ">=",
	[2] = "<="
}


-- STAT DROPDOWN ------------------------------------------------

function EFL_StatDropDown_Init()
	local entries = table.getn(EFL_Stat);
	for i=0,entries do
		info = {};
		value = i;
		text = EFL_Stat[i];
		info.text = text;
		info.value = value;
		info.func = EFL_StatDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_StatDropDown_OnShow()
	-- Nasty "hack", load Blizzard_Calendar if not loaded,
	-- for it to secure init 24 dropdown menu buttons,
	-- to avoid action blocked by tainting
	if not IsAddOnLoaded("Blizzard_Calendar") then
		LoadAddOn("Blizzard_Calendar")
	end
    UIDropDownMenu_Initialize(EFL_StatDropDown, EFL_StatDropDown_Init);
    UIDropDownMenu_SetSelectedID(EFL_StatDropDown, EFL_Options["SelectedStat"]+1);
    UIDropDownMenu_SetWidth(EFL_StatDropDown, 150);
    EFL_ScrollBar_Update();
end

function EFL_StatDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_StatDropDown, i);
    EFL_Options["SelectedStat"] = i-1;
    EFL_ScrollBar_Update();
end


-- LEVEL OP ------------------------------------------------

function EFL_LevelOp_Init()
	local entries = table.getn(EFL_Op);
	for i=0,entries do
		info = {};
		value = i;
		text = EFL_Op[i];
		info.value = value;
		info.text = text;
		info.func = EFL_LevelOp_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_LevelOp_OnShow()
    UIDropDownMenu_Initialize(EFL_LevelOp, EFL_LevelOp_Init);
    UIDropDownMenu_SetSelectedID(EFL_LevelOp, EFL_Options["SelectedLevelOp"]+1);
    UIDropDownMenu_SetWidth(EFL_LevelOp, 40);
    EFL_ScrollBar_Update();
end

function EFL_LevelOp_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_LevelOp, i);
    EFL_Options["SelectedLevelOp"] = i-1;
    EFL_ScrollBar_Update();
end

-- ITEMLEVEL DROPDOWN ------------------------------------------------

function EFL_LevelDropDown_Init()
	local entries = table.getn(EFL_Level);
	for i=0,entries do
		info = {};
		value = i;
		text = EFL_Level[i];
		info.text = text;
		info.value = value;
		info.func = EFL_LevelDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_LevelDropDown_OnShow()
    UIDropDownMenu_Initialize(EFL_LevelDropDown, EFL_LevelDropDown_Init);
    UIDropDownMenu_SetSelectedID(EFL_LevelDropDown, EFL_Options["SelectedLevel"]+1);
    UIDropDownMenu_SetWidth(EFL_LevelDropDown, 80);
    EFL_ScrollBar_Update();
end

function EFL_LevelDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_LevelDropDown, i);
    EFL_Options["SelectedLevel"] = i-1;
    EFL_ScrollBar_Update();
end

